#ifndef LIBMBTK_CALLBACK_IMP_H
#define LIBMBTK_CALLBACK_IMP_H

#include <libmbtk/config.h>
#include <libmbtk/callback.h>

MBTK_INLINE int mbtk_callback_noarg(mbtk_widget_t *widget, mbtk_kw_t id)
{
	mbtk_callback_t cb;

	if (widget->callbacks == NULL) return 0;

	cb = mbtk_htcb_get(widget->callbacks, id);
	if ((cb.func.noarg == NULL) || cb.inhibit) return 0;

	return cb.func.noarg(widget, id, cb.user_data);
}

/* Generic callback sets; shouldn't be used directly by the application but
   through widget specific callback set functions */
void mbtk_callback_set_noarg(mbtk_widget_t *w, mbtk_kw_t id, int (*cb)(mbtk_widget_t *w, mbtk_kw_t id, void *user_data), void *user_data);

#endif
