#ifndef LIBMBTK_HTPXID_H
#define LIBMBTK_HTPXID_H

#include <libmbtk/global_typedefs.h>

extern mbtk_px_id_t mbtk_invalid_px_id;

#define HT_HAS_CONST_KEY
typedef mbtk_pixmap_t *htpxid_key_t;
typedef const mbtk_pixmap_t *htpxid_const_key_t;
typedef mbtk_px_id_t htpxid_value_t;
#define HT(x) htpxid_ ## x
#include <libmbtk/src_3rd/genht/ht.h>
#undef HT

unsigned htpxid_hash(const mbtk_pixmap_t *k);
int htpxid_keyeq(const mbtk_pixmap_t *a, const mbtk_pixmap_t *b);

#endif
