#ifndef LIBMBTK_KEYWORDS_H
#define LIBMBTK_KEYWORDS_H
#include <libmbtk/macro_magic.h>
#include <libmbtk/global_typedefs.h>

mbtk_kw_t mbtk_kw(const char *name);

void mbtk_kw_uninit(void);

#define mbtk_kw_cache(dst, name) \
do { \
	static mbtk_kw_t cache = mbtk_kw_invalid; \
	if (cache == mbtk_kw_invalid) \
		cache = mbtk_kw(name); \
	dst = cache; \
} while(0)

#endif
